chore: return success if pr-cleanup.yaml faisl to find a PR image tag (#8208)

This commit is contained in:
Muhammad Atif Ali
2023-06-26 14:47:10 +00:00
committed by GitHub
parent b4f14cc6a9
commit cfbe96a379
+1 -3
View File
@@ -25,6 +25,7 @@ jobs:
fi
- name: Delete image
continue-on-error: true
uses: bots-house/ghcr-delete-image-action@v1.1.0
with:
owner: coder
@@ -33,7 +34,6 @@ jobs:
tag: pr${{ steps.pr_number.outputs.PR_NUMBER }}
- name: Set up kubeconfig
if: always()
run: |
set -euxo pipefail
mkdir -p ~/.kube
@@ -41,12 +41,10 @@ jobs:
export KUBECONFIG=~/.kube/config
- name: Delete helm release
if: always()
run: |
set -euxo pipefail
helm delete --namespace "pr${{ steps.pr_number.outputs.PR_NUMBER }}" "pr${{ steps.pr_number.outputs.PR_NUMBER }}" || echo "helm release not found"
- name: "Remove PR namespace"
if: always()
run: |
kubectl delete namespace "pr${{ steps.pr_number.outputs.PR_NUMBER }}" || echo "namespace not found"